const sentryOptions = process.env.sentryOptions;
const report = ($sentry, { AppId, Uin }) => {
  $sentry.setTag('Package', sentryOptions.version);
  $sentry.setTag('AppId', AppId);
  $sentry.setTag('Uin', Uin);
  $sentry.setUser({
    AppId: AppId,
    Uin: Uin,
    Name: sentryOptions.name,
    Environment: sentryOptions.env
  });
};

export default report;
